# Uses of Interface
org.w3c.dom.TypeInfo

Packages that use TypeInfo
Package
Description
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.
javax.xml.validation
Provides an API for validation of XML documents.
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).

## Uses of TypeInfo in javax.imageio.metadata

Methods in javax.imageio.metadata that return TypeInfo
Modifier and Type
Method
Description
`TypeInfo`
IIOMetadataNode.`getSchemaTypeInfo()`
This DOM Level 3 method is not supported for `IIOMetadataNode` and will throw a `DOMException`.

## Uses of TypeInfo in javax.xml.validation

Methods in javax.xml.validation that return TypeInfo
Modifier and Type
Method
Description
`abstract TypeInfo`
TypeInfoProvider.`getAttributeTypeInfo(int index)`
Returns the immutable `TypeInfo` object for the specified attribute of the current element.
`abstract TypeInfo`
TypeInfoProvider.`getElementTypeInfo()`
Returns the immutable `TypeInfo` object for the current element.

## Uses of TypeInfo in org.w3c.dom

Methods in org.w3c.dom that return TypeInfo
Modifier and Type
Method
Description
`TypeInfo`
Attr.`getSchemaTypeInfo()`
The type information associated with this attribute.
`TypeInfo`
Element.`getSchemaTypeInfo()`
The type information associated with this element.